"""
Feedback Application Configuration
=================================

This module contains the `FeedbackConfig` class, which is responsible for
configuring the Feedback Django application.

Example:
--------
To configure this application, you need to add the following line to the
`INSTALLED_APPS` setting in your Django project:

    'feedback.apps.FeedbackConfig',

Classes:
--------
FeedbackConfig : AppConfig
    A class to configure the Feedback Django application.

"""

from django.apps import AppConfig

class FeedbackConfig(AppConfig):
    """
    Feedback Application Configuration Class.

    This class inherits from `AppConfig` to configure the Feedback application.
    It overrides the `default_auto_field` and `name` attributes to set default
    settings for the application.

    Attributes:
    -----------
    default_auto_field : str
        The default auto field type to use for autogenerated primary keys.
        Default is 'django.db.models.BigAutoField'.

    name : str
        The name of the Django application. This is used by Django to identify
        the application within the project. Default is 'feedback'.
    """
    default_auto_field = 'django.db.models.BigAutoField'
    name = 'feedback'
